MediaWiki:Vector.css

From ZeTranslation
Revision as of 16:09, 4 August 2020 by Ua2004 (Talk | contribs)

Jump to: navigation, search

Note: After saving, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Clear the cache in Tools → Preferences
/* CSS placed here will affect users of the Vector skin */

/*@darkmode-table-background-color: #ddd;
@darkmode-border-color: #cdcbc8;
@darkmode-link-color: #69f;
@darkmode-link-visited-color: #709bbd;
@darkmode-red-link-color: #ff6e6e;*/

html,
body,
#mw-page-base {
	background-color: #1f2531;
	background-image: none;
	color: #acb0b8;
}

#content.mw-body {
	background-color: #252c3c;
	border-color: #5983c3;
	color: #acb0b8;
}

h1, h2, h3, h4, h5, h6 {
	color: #d8d8d8;
}

.editOptions {
	background-color: #333b50;
}

pre, .mw-code {
	color: inherit;
	background-color: transparent;
	border-color: #aaa;
}

textarea {
	color: #acb0b8;
	background-color: transparent;
	border-color: #aaa;
}

textarea:focus {
	border-color: #5983c3;
	outline: none;
}

&,
img,
video,
svg,
iframe,	/* some maps are iframes */
.mw-no-invert,
.mw-mmv-overlay,
.mw-mmv-pre-image,
.mw-kartographer-map,
.mw-kartographer-mapDialog-map {
	filter: invert( 1 ) hue-rotate( 180deg );
	-webkit-filter: invert( 1 ) hue-rotate( 180deg );
}

/* Backgrounds */
/*.toc,
.thumbinner,
#simpleSearch,
#searchInput,
#searchButton,
#searchGoButton,
table,
table.toccolours,
.wikitable,
.mw-notification {
	background-color: #ddd;
}*/

/* Borders */
/*#mw-head,
#mw-panel,
.toc,
div.thumbinner,
#simpleSearch,
#searchInput,
table.toccolours,
.mw-notification {
	border-color: #cdcbc8;
}*/

.thumbimage {
	border: 0;
}

/* Normal links */
a,
#mw-panel .portal .body li a,
.toctogglelabel,
.mw-parser-output a.external,
.mw-parser-output a.extiw,
.mw-parser-output a.extiw:active,
div#mw-panel div.portal div.body ul li a,
#mw-panel.collapsible-nav .portal h3 a {
	color: #69f;
}

/* Visited links */
a:visited,
#mw-panel .portal .body li a:visited,
div#mw-panel div.portal div.body ul li a:visited {
	color: #709bbd;
}

/* Red links */
a.new,
.new a {
	color: #ff6e6e;
}

/**
 * Skin-specific overrides
 */
div.vectorTabs {
	background-image: none;
}

div.vectorTabs ul li {
	background-image: none;
	background-color: #252c3c;
	border: 1px solid #5983c3;
}

div.vectorTabs li.selected {
	background-image: none;
	border-bottom: none;
}

div.vectorTabs li a {
	color: #69f;
}

div.vectorTabs li.selected a,
div.vectorTabs li.selected a:visited {
	color: #d8d8d8;
}

div.vectorTabs li.new a,
div.vectorTabs li.new a:visited {
	color: #ff6e6e;
}

div.vectorTabs span {
	background-image: none;
}

div.vectorMenu {
	border-top: 1px solid #5983c3;
	border-right: 1px solid #5983c3;
}

div.vectorMenu h3 a {
	background-image: none;
}

div.vectorMenu ul {
	background-color: #252c3c;
	border-color: #5983c3;
}

div.vectorMenu li a {
	color: #69f;
}

/**
 * Non-MediaWiki overrides
 */

.infobox, /* English Wikipedia, most other wikis with infoboxes */
.infobox_v2 { /* French/Portuguese Wikipedia, etc. */
	background-color: #ddd;
	border-color: #cdcbc8;
}

/* Maintenance templates you see atop some articles */
.ambox-content {
	background-color: #ddd;
	border-color: #cdcbc8;
}

/* Extension: Translate */
.ext-translate-msggroup-selector span,
.ext-translate-language-selector-label,
.tux-editor-header,
.tux-message-selector li a {
	color: #acb0b8;
}

.ext-translate-msggroup-selector span.grouplink,
.ext-translate-language-selector .uls,
.tux-message-selector li.selected a {
	color: #69f;
}

.tux-message-selector .more ul {
	background-color: #333b50;
	border-color: #5983c3;
}

.tux-message-selector label {
	color: #acb0b8;
}

.tux-messagetable-header {
	border-bottom-color: #5983c3;
}

.tux-messagetable-header input.tux-message-filter-box {
	color: #acb0b8;
	background-color: transparent;
	border-color: #aaa;
}

.tux-messagetable-header input.tux-message-filter-box:focus {
	border-color: #5983c3;
	outline: none;
}

.tux-messagetable-header.floating {
	background-color: #333b50;
}

.tux-messagetable-loader {
	color: #acb0b8;
	background-color: #252c3c;
	border-color: #5983c3;
}

.tux-messagelist {
	color: #acb0b8;
	background-color: #252c3c;
}

.tux-empty-list-guide {
	color: #acb0b8;
}

.tux-message-item,
.tux-message-editor {
	color: #acb0b8;
	background-color: #252c3c;
	border-color: #5983c3;
}

.tux-message-item:hover {
	background-color: #333b50;
}

.tux-message-editor .messagekey,
.tux-message-editor .shortcutinfo {
	color: #acb0b8;
}

.tux-message-editor textarea {
	border-color: #aaa;
}

.tux-message-editor textarea:focus {
	border-color: #5983c3;
	outline: none;
}

.tux-editor-insert-buttons .tux-editor-paste-original-button {
	color: #acb0b8;
	background-color: transparent;
	border-color: #aaa;
}

.tux-message-editor .infocolumn-block {
	background-color: transparent;
}

.infocolumn .loading {
	color: #acb0b8;
}

.tm-suggestion, .in-other-language {
	background-color: transparent;
	border-color: #aaa;
}

.in-other-language .language {
	color: #acb0b8;
}

.shortcut-popup {
	color: #acb0b8;
	background-color: #252c3c;
	border-color: #aaa;
}

.tux-message-item.translated,
.tux-message-item.translated:hover,
.tux-message-item.proofread,
.tux-message-item.proofread:hover {
	background-color: #333b50;
}

.tux-list-translation {
	color: #d8d8d8;
}

.ext-translate-container .tux-messagelist .tux-message-pagemode {
	background-color: transparent;
}

.ext-translate-container .tux-messagelist .tux-message-pagemode .tux-message-item-compact {
	border-color: #5983c3;
}

.ext-translate-container .tux-messagelist .tux-message-pagemode .tux-message-item-compact:hover
{
	background-color: #333b50;
}

.tux-messagelist .tux-message-pagemode .tux-pagemode-source {
	color: #acb0b8;
}

.tux-messagelist .tux-message-pagemode .tux-pagemode-translation {
	color: #d8d8d8;
}

.tux-action-bar {
	background-color: #333b50;
}

.tux-action-bar.floating {
	 border-top-color: #5983c3;
}

.tux-statsbar-info {
	color: #acb0b8;
}

.tux-action-bar .toggle.button {
	color: #acb0b8;
	background-color: #252c3c;
	background-image: none;
	border-color: #5983c3;
}

.tux-action-bar .toggle.button:hover,
.tux-action-bar .toggle.button.down {
	background-color: #333b50;
}